Ruby

Ruby 1.9.0 on Ubuntu 9.04でtokyotyrant.rbを一応動かす

使用したRubyクライアントは以下 http://tokyocabinet.sourceforge.net/tyrantrubypkg/tokyotyrant-ruby-1.5.tar.gz動作テストのためのコードは以下を使用させていただいた TokyoCabinet/TokyoTyrant を Rails で使う - なんとなく日記Ruby 1.8系では動くの…

Hoge Language

数日前からRubyを触るようになって、「ほげ言語のパラドックス」ってあるんだなと実感。 自分はPHPとEmacs LispとJavaScriptを触っていて、かつ好きなんだけれども、RubyにはあってPHP、Emacs Lisp、JavaScriptのどれにもないものとしてThreadがある。例えば…